# Interface methods for submodule: VectorConfidenceConnectedImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: VectorConfidenceConnectedImageFilter
class VectorConfidenceConnectedImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSeed(self, seed: Sequence[int]) -> None:
		""""""
		...

	def AddSeed(self, seed: Sequence[int]) -> None:
		""""""
		...

	def ClearSeeds(self) -> None:
		""""""
		...

	def SetMultiplier(self, _arg: float) -> None:
		""""""
		...

	def GetMultiplier(self) -> float:
		""""""
		...

	def SetNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> int:
		""""""
		...

	def SetReplaceValue(self, _arg: int) -> None:
		""""""
		...

	def GetReplaceValue(self) -> int:
		""""""
		...

	def SetInitialNeighborhoodRadius(self, _arg: int) -> None:
		""""""
		...

	def GetInitialNeighborhoodRadius(self) -> int:
		""""""
		...

	def GetMean(self) -> vnl_vector:
		""""""
		...

	def GetCovariance(self) -> vnl_matrix:
		""""""
		...

	def GetSeeds(self):
		""""""
		...

